Zoom One - January 24, 2022
import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx";
The following changes were released on January 24, 2022:
Added
Master APIs
-
Update an internal number
/accounts/{accountId}/sip_trunk/internal_numbers/{numberId}
Enhancements
-
Added the new
enable_all_settings_from_master_accountfield to thePATCH /v2/accounts/{accountId}/sip_trunk/settingsAPI. -
Added the new
email_notificationfield to the following APIs:-
POST /v2/users/{userId}/meetings -
PATCH /v2/meetings/{meetingId} -
GET /v2/meetings/{meetingId}
-
-
Added the new
allow_authentication_exceptionfield to the following APIs:-
GET /v2/accounts/{accountId}/settings -
PATCH /v2/accounts/{accountId}/settings -
GET /v2/users/{userId}/settings
-
-
Added support for the
authentication_optionsvalue in thecustom_query_fieldsquery parameter in theGET /v2/users/{userId}/settingsAPIs. -
Added the new
language_interpretationfield to the following APIs:-
GET /v2/accounts/{accountId}/settings -
PATCH /v2/accounts/{accountId}/settings -
GET /v2/accounts/{accountId}/lock_settings -
PATCH /v2/accounts/{accountId}/lock_settings -
GET /v2/groups/{groupId}/settings -
PATCH /v2/groups/{groupId}/settings -
GET /v2/users/{userId}/settings -
PATCH /v2/users/{userId}/settings
-
-
Added the new
unchecked_data_center_regionsfield to the following APIs:-
GET /v2/accounts/{accountId}/settings -
GET /v2/groups/{groupId}/settings -
GET /v2/users/{userId}/settings
-
-
Added the new
only_authenticated_can_join_from_webclientfield to the following APIs:-
GET /v2/accounts/{accountId}/settings -
PATCH /v2/accounts/{accountId}/settings -
GET /v2/accounts/{accountId}/lock_settings -
PATCH /v2/accounts/{accountId}/lock_settings -
GET /v2/groups/{groupId}/settings -
GET /v2/groups/{groupId}/lock_settings -
PATCH /v2/groups/{groupId}/settings -
PATCH /v2/groups/{groupId}/lock_settings -
GET /v2/users/{userId}/settings -
PATCH /v2/users/{userId}/settings
-
-
Added the new
manual_captioningobject with themanual_captions,allow_to_type,third_party_captioning_service,auto_generated_captions,full_transcript, andsave_captionsfields in the following APIs:-
GET /v2/accounts/{accountId}/settings -
PATCH /v2/accounts/{accountId}/settings -
GET /v2/groups/{groupId}/settings -
PATCH /v2/groups/{groupId}/settings -
GET /v2/users/{userId}/settings -
PATCH /v2/users/{userId}/settings
-
-
Added the new
manual_captions,auto_generated_captions,full_transcript, andsave_captionsfields to the following APIs:-
GET /v2/accounts/{accountId}/lock_settings -
PATCH /v2/accounts/{accountId}/lock_settings -
PATCH /v2/accounts/{accountId}/lock_settings -
GET /v2/groups/{groupId}/settings
-
-
Added the new
fromandtoparameter and response fields to theGET /v2/chat/users/{userId}/messagesAPI. -
Added the new
languagefield to thePOST /v2/webinars/{webinarId}/registrantsAPI. -
Added the new
participant_user_idresponse in theGET /metrics/meetings/{meetingId}/participantsAPI. -
Added the new validation
1224error for duplicate names (Role name {roleName} has already been used.) to thePOST /v2/rolesandPATCH /v2/roles/{roleId}APIs. -
Added the new
encrypted_emailfield to theDELETE /users/{userId}API. -
Added the new
total_recordsfield to theGET /v2/archive_filesAPI. -
Added the new
501and1001values to thewebinar_capacityfield in thePATCH /v2/users/{userId}/settingsAPI.
Bug Fixes
-
Fixed an issue where the
PATCH /v2/webinars/{webinarId}API was not syncing webinar data to thezmweb_webinar_exttable in Amazon DynamoDB. -
Fixed an issue where the
GET /v2/contactsAPI would sometimes return zero contacts due to timeout. -
Fix an issue where updating a meeting via API would always send an email notification to the alternative host, regardless of the
alternative_hosts_email_notificationparameter’s value in thePOST /users/{userId}/meetingsAPI. -
Fixed an issue where the
GET /report/webinars/{webinarId}/participantsAPI would sometimes return an emptyregistrant_idfield value. -
Fixed an issue where a user may not be found when calling the
GET /users/{userId}API with a user’s encrypted email address. -
Fix an issue where the
download_urlvalue was not encrypted when therecording_typefield’s value wastimelinein the following APIs:-
GET /v2/meetings/{meetingId}/recordings -
GET /v2/accounts/{accountId}/recordings -
GET /v2/users/{userId}/recordings
-